Lino {VGAM} | R Documentation

## The Generalized Beta Distribution (Libby and Novick, 1982)

### Description

Density, distribution function, quantile function and random generation for the generalized beta distribution, as proposed by Libby and Novick (1982).

### Usage

    dlino(x, shape1, shape2, lambda = 1, log = FALSE)
    plino(q, shape1, shape2, lambda = 1, lower.tail = TRUE, log.p = FALSE)
    qlino(p, shape1, shape2, lambda = 1, lower.tail = TRUE, log.p = FALSE)
    rlino(n, shape1, shape2, lambda = 1)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. Same as in `runif`.
`shape1, shape2, lambda` | see `lino`.
`log` | Logical. If `log = TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.

### Details

See `lino`, the VGAM family function for estimating the parameters, for the formula of the probability density function and other details.

### Value

`dlino` gives the density, `plino` gives the distribution function, `qlino` gives the quantile function, and `rlino` generates random deviates.

### Author(s)

T. W. Yee and Kai Huang

### See Also

`lino`.

### Examples

    ## Not run:
    lambda <- 0.4; shape1 <- exp(1.3); shape2 <- exp(1.3)
    x <- seq(0.0, 1.0, len = 101)
    plot(x, dlino(x, shape1 = shape1, shape2 = shape2, lambda = lambda),
         type = "l", col = "blue", las = 1, ylab = "",
         main = "Blue is density, red is cumulative distribution function",
         sub = "Purple lines are the 10,20,...,90 percentiles")
    abline(h = 0, col = "blue", lty = 2)
    lines(x, plino(x, shape1 = shape1, shape2 = shape2, l = lambda), col = "red")
    probs <- seq(0.1, 0.9, by = 0.1)
    Q <- qlino(probs, shape1 = shape1, shape2 = shape2, lambda = lambda)
    lines(Q, dlino(Q, shape1 = shape1, shape2 = shape2, lambda = lambda),
          col = "purple", lty = 3, type = "h")
    plino(Q, shape1 = shape1, shape2 = shape2, l = lambda) - probs  # Should be all 0

    ## End(Not run)

[Package VGAM version 1.0-4 Index]